%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}}

%global _changelog_trimtime %(date +%s -d "1 year ago")

Name:    xforms
Summary: XForms toolkit library
Version: 1.2.4
Release:    1%{?dist}

License: LGPLv2+
URL:     http://xforms-toolkit.org/
Source0: https://download.savannah.gnu.org/releases-noredirect/xforms/xforms-%{version}%{?pre}.tar.gz
Source1: https://download.savannah.gnu.org/releases-noredirect/xforms/xforms-%{version}%{?pre}.tar.gz.sig
Source2: gpgkey-B5049F22184B56AF7C3AFBDBEB9474E50D5C15EB.gpg
Patch0:  xforms-1.2.4-gcc10.patch

BuildRequires: gnupg2
BuildRequires: gcc
BuildRequires: make
BuildRequires: libjpeg-devel
BuildRequires: libXpm-devel
BuildRequires: libGL-devel
BuildRequires: libX11-devel

Requires: netpbm-progs
Requires: xorg-x11-fonts-ISO8859-1-75dpi
Requires: xorg-x11-fonts-ISO8859-1-100dpi

%description
XForms is a GUI toolkit based on Xlib for X Window Systems. It features a
rich set of objects, such as buttons, sliders, browsers, and menus etc.
integrated into an easy and efficient object/event callback execution model
that allows fast and easy construction of X-applications. In addition, the
library is extensible and new objects can easily be created and added to
the library.

%package devel
Summary: Development files for the XForms toolkit library
Requires: %{name} = %{version}-%{release}
Requires: libGL-devel
Requires: libX11-devel

%description devel
%{summary}.

%package doc
Summary: XForms documentation
BuildRequires:   texi2html
BuildRequires:   texinfo
BuildRequires:   texinfo-tex
BuildRequires:   ImageMagick
BuildArch:       noarch

%description doc
%{summary}.


%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%setup -q -n %{name}-%{version}%{?pre}
%patch0 -p1 -b .gcc10

sed -i -e 's|"/lib /usr/lib|"/%{_lib} %{_libdir}|' configure


%build
%configure \
  --disable-demos \
  --enable-docs --htmldir=%{_pkgdocdir}/html --pdfdir=%{_pkgdocdir} \
  --disable-static \
  --enable-optimization="$RPM_OPT_FLAGS"

%make_build X_PRE_LIBS=""


%install
%make_install INSTALL='install -p'

rm -rfv demos/.deps
cp -r demos/ %{buildroot}%{_pkgdocdir}/


rm -fv  %{buildroot}%{_libdir}/lib*.la
rm -rfv %{buildroot}%{_infodir}/{dir,xforms_images}




%files
%license COPYING.LIB Copyright
%doc ChangeLog README
%{_libdir}/libflimage.so.2*
%{_libdir}/libformsGL.so.2*
%{_libdir}/libforms.so.2*
%exclude %{_pkgdocdir}/demos/
%exclude %{_pkgdocdir}/html/
%exclude %{_pkgdocdir}/xforms.pdf

%files devel
%{_bindir}/fd2ps
%{_bindir}/fdesign
%{_includedir}/*.h
%{_libdir}/lib*.so
%{_mandir}/man1/*
%{_mandir}/man5/*

%files doc
%{_infodir}/xforms.info*
%{_pkgdocdir}/demos/
%{_pkgdocdir}/html/
%{_pkgdocdir}/xforms.pdf


%changelog
* Mon Sep 09 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.4-1
- initial build
